Functions
Functions
BLE » Profile

## Functions
sdk_err_t | ble_gatts_prf_add (ble_gatts_create_db_t *p_gatts_db, ble_evt_handler_t evt_handler)
| Add a server profile by providing its detailed information.. More...
void | ble_gatts_prf_database_cleanup (void)
| Cleanup all server profile database. More...
sdk_err_t | ble_gattc_prf_add (ble_uuid_t *p_uuid, ble_evt_handler_t evt_handler)
| Add a client profile by providing its detail information. More...

## Detailed Description

## Function Documentation

## ◆ ble_gattc_prf_add()

sdk_err_t ble_gattc_prf_add | ( | ble_uuid_t * | p_uuid,
|  | ble_evt_handler_t | evt_handler
| ) |  |

Add a client profile by providing its detail information.

Parameters

  [in] | p_uuid | Pointer to the target service uuid. See ble_uuid_t.
  [out] | evt_handler | Pointer to ble events handler..

Return values

  SDK_SUCCESS | The profile info is recorded successfully, and the profile ENV will be initialized in profile initialization callback function.
  SDK_ERR_POINTER_NULL | The parameter p_uuid or evt_handler is NULL, or input parameters that prf_info points to are invalid.
  SDK_ERR_NO_RESOURCES | The profile number is up to the maximum number the system can support.

## ◆ ble_gatts_prf_add()

sdk_err_t ble_gatts_prf_add | ( | ble_gatts_create_db_t * | p_gatts_db,
|  | ble_evt_handler_t | evt_handler
| ) |  |

Add a server profile by providing its detailed information..

Parameters

  [in] | p_gatts_db | Pointer to the prf_info. See ble_gatts_create_db_t.
  [in] | evt_handler | Pointer to ble events handler.

Return values

  SDK_SUCCESS | The profile info is recorded successfully, and the database will be created in profile initialization callback function.
  SDK_ERR_POINTER_NULL | The parameter p_gatts_db or evt_handler is NULL.
  SDK_ERR_NO_RESOURCES | The profile number is up to the maximum number the system can support.

## ◆ ble_gatts_prf_database_cleanup()

void ble_gatts_prf_database_cleanup | ( | void |  | ) |

Cleanup all server profile database.